/*
 * Copyright (c) 2008-2013 Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global NX, Nexus, Sonatype*/
NX.define('Nexus.ssl.Icons', {
  extend : 'Nexus.util.IconContainer',
  singleton : true,

  constructor : function() {
    var self = this;

    self.constructor.superclass.constructor.call(self, {
      stylePrefix : 'nexus-ssl-icon-',

      icons : {
        certificate : 'ssl_certificates.png',
        add_certificate : 'ssl_certificates_add.png',
        delete_certificate : 'ssl_certificates_delete.png',
        warning : 'error.png',
        refresh : 'arrow_refresh.png',
        'add-by-pem' : 'add-by-pem.png',
        'fetch-from-server' : 'fetch-cert-from-server.png',
        'fetch-from-server-failed' : 'fetch-cert-from-server-failed.png'


        // FIXME: These do not appear to be used anymore and should be removed
        //details : 'information.png',
        //edit : 'database_edit.png',
        //certificate : 'lock.png',
        //invalidcertificate : 'unlock.png'
      }
    });
  }
});